wxWidgets: wxHtmlSelection Class Reference

| Version: 3.0.4

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxHtmlSelection Class Reference

`#include <wx/html/htmlcell.h>`

## Public Member Functions
| wxHtmlSelection ()
void | Set (const wxPoint &fromPos, const wxHtmlCell *fromCell, const wxPoint &toPos, const wxHtmlCell *toCell)
void | Set (const wxHtmlCell *fromCell, const wxHtmlCell *toCell)
const wxHtmlCell * | GetFromCell () const
const wxHtmlCell * | GetToCell () const
const wxPoint & | GetFromPos () const
const wxPoint & | GetToPos () const
void | ClearFromToCharacterPos ()
bool | AreFromToCharacterPosSet () const
void | SetFromCharacterPos (wxCoord pos)
void | SetToCharacterPos (wxCoord pos)
wxCoord | GetFromCharacterPos () const
wxCoord | GetToCharacterPos () const
bool | IsEmpty () const

## Constructor & Destructor Documentation

wxHtmlSelection::wxHtmlSelection | ( |  | ) |

## Member Function Documentation

bool wxHtmlSelection::AreFromToCharacterPosSet | ( |  | ) | const

void wxHtmlSelection::ClearFromToCharacterPos | ( |  | ) |

const wxHtmlCell* wxHtmlSelection::GetFromCell | ( |  | ) | const

wxCoord wxHtmlSelection::GetFromCharacterPos | ( |  | ) | const

const wxPoint& wxHtmlSelection::GetFromPos | ( |  | ) | const

const wxHtmlCell* wxHtmlSelection::GetToCell | ( |  | ) | const

wxCoord wxHtmlSelection::GetToCharacterPos | ( |  | ) | const

const wxPoint& wxHtmlSelection::GetToPos | ( |  | ) | const

bool wxHtmlSelection::IsEmpty | ( |  | ) | const

void wxHtmlSelection::Set | ( | const wxPoint & | fromPos,
|  | const wxHtmlCell * | fromCell,
|  | const wxPoint & | toPos,
|  | const wxHtmlCell * | toCell
| ) |  |

void wxHtmlSelection::Set | ( | const wxHtmlCell * | fromCell,
|  | const wxHtmlCell * | toCell
| ) |  |

void wxHtmlSelection::SetFromCharacterPos | ( | wxCoord | pos | ) |

void wxHtmlSelection::SetToCharacterPos | ( | wxCoord | pos | ) |